# Luxsci.Api.MarketingApi

All URIs are relative to *https://rest.luxsci.com/perl/api/v2*, unless a hostname is provided ([see README](../README.md#documentation-for-api-endpoints))

| Method | HTTP request | Description |
|--------|--------------|-------------|
| [**AddMarketingCampaign**](MarketingApi.md#addmarketingcampaign) | **POST** /account/{accountId}/marketing/addCampaign |  |
| [**AddMarketingContact**](MarketingApi.md#addmarketingcontact) | **POST** /account/{accountId}/marketing/addContact |  |
| [**AddMarketingContacts**](MarketingApi.md#addmarketingcontacts) | **POST** /account/{accountId}/marketing/addContacts |  |
| [**AddMarketingList**](MarketingApi.md#addmarketinglist) | **POST** /account/{accountId}/marketing/addList |  |
| [**AddNewMarketingSuppression**](MarketingApi.md#addnewmarketingsuppression) | **POST** /account/{accountId}/marketing/suppress |  |
| [**DeleteMarketingCampaign**](MarketingApi.md#deletemarketingcampaign) | **DELETE** /account/{accountId}/marketing/deleteCampaign/{id} |  |
| [**DeleteMarketingContactById**](MarketingApi.md#deletemarketingcontactbyid) | **DELETE** /account/{accountId}/marketing/deleteContact/{id} |  |
| [**DeleteMarketingList**](MarketingApi.md#deletemarketinglist) | **DELETE** /account/{accountId}/marketing/deleteList/{id} |  |
| [**DeleteMarketingListGroup**](MarketingApi.md#deletemarketinglistgroup) | **DELETE** /account/{accountId}/deleteListGroup/{id} |  |
| [**DeleteMarketingSuppression**](MarketingApi.md#deletemarketingsuppression) | **DELETE** /account/{accountId}/marketing/deleteSuppressed/{type} |  |
| [**GetMarketingCampaignBouncedStatistics**](MarketingApi.md#getmarketingcampaignbouncedstatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsBounced/{schedule_id} |  |
| [**GetMarketingCampaignClickedStatistics**](MarketingApi.md#getmarketingcampaignclickedstatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsClicked/{schedule_id} |  |
| [**GetMarketingCampaignGroups**](MarketingApi.md#getmarketingcampaigngroups) | **GET** /account/{accountId}/marketing/getMarketingCampaignGroups |  |
| [**GetMarketingCampaignOpenedStatistics**](MarketingApi.md#getmarketingcampaignopenedstatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsOpened/{schedule_id} |  |
| [**GetMarketingCampaignStatisticsSummary**](MarketingApi.md#getmarketingcampaignstatisticssummary) | **GET** /account/{accountId}/marketing/getCampaignStatsSummary/{schedule_id} |  |
| [**GetMarketingCampaignUnsubscribedStatistics**](MarketingApi.md#getmarketingcampaignunsubscribedstatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsUnsubscribed/{schedule_id} |  |
| [**GetMarketingCampaigns**](MarketingApi.md#getmarketingcampaigns) | **GET** /account/{accountId}/marketing/getCampaigns |  |
| [**GetMarketingContactById**](MarketingApi.md#getmarketingcontactbyid) | **GET** /account/{accountId}/marketing/getContact/{id} |  |
| [**GetMarketingContacts**](MarketingApi.md#getmarketingcontacts) | **GET** /account/{accountId}/marketing/getContacts |  |
| [**GetMarketingListGroups**](MarketingApi.md#getmarketinglistgroups) | **GET** /account/{accountId}/marketing/getMarketingListGroups |  |
| [**GetMarketingLists**](MarketingApi.md#getmarketinglists) | **GET** /account/{accountId}/marketing/getLists |  |
| [**GetMarketingScheduledCampaigns**](MarketingApi.md#getmarketingscheduledcampaigns) | **GET** /account/{accountId}/marketing/getMarketingScheduledCampaigns |  |
| [**GetMarketingSuppressions**](MarketingApi.md#getmarketingsuppressions) | **GET** /account/{accountId}/marketing/getSuppressed |  |
| [**MarkContactAsUnsubscribed**](MarketingApi.md#markcontactasunsubscribed) | **PUT** /account/{accountId}/markAsUnsubscribed/{id} |  |
| [**ScheduleMarketingCampaign**](MarketingApi.md#schedulemarketingcampaign) | **POST** /account/{accountId}/marketing/campaignSchedule |  |
| [**UpdateMarketingCampaign**](MarketingApi.md#updatemarketingcampaign) | **PUT** /account/{accountId}/marketing/updateCampaign/{id} |  |
| [**UpdateMarketingContactByEmail**](MarketingApi.md#updatemarketingcontactbyemail) | **PUT** /account/{accountId}/marketing/updateContact/{email} |  |
| [**UpdateMarketingContactById**](MarketingApi.md#updatemarketingcontactbyid) | **PUT** /account/{accountId}/marketing/updateContact/{id} |  |
| [**UpdateMarketingList**](MarketingApi.md#updatemarketinglist) | **PUT** /account/{accountId}/marketing/updateList/{id} |  |

<a name="addmarketingcampaign"></a>
# **AddMarketingCampaign**
> GetMarketingCampaigns200Response AddMarketingCampaign (string accountId, string? cookie = null, AddMarketingCampaignRequest? addMarketingCampaignRequest = null)



Create a new email broadcast campaign. {{ACL: Marketing - Campaign Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class AddMarketingCampaignExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var addMarketingCampaignRequest = new AddMarketingCampaignRequest?(); // AddMarketingCampaignRequest? |  (optional) 

            try
            {
                GetMarketingCampaigns200Response result = apiInstance.AddMarketingCampaign(accountId, cookie, addMarketingCampaignRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.AddMarketingCampaign: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the AddMarketingCampaignWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingCampaigns200Response> response = apiInstance.AddMarketingCampaignWithHttpInfo(accountId, cookie, addMarketingCampaignRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.AddMarketingCampaignWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **addMarketingCampaignRequest** | [**AddMarketingCampaignRequest?**](AddMarketingCampaignRequest?.md) |  | [optional]  |

### Return type

[**GetMarketingCampaigns200Response**](GetMarketingCampaigns200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="addmarketingcontact"></a>
# **AddMarketingContact**
> AddMarketingContact200Response AddMarketingContact (string accountId, string? cookie = null, AddMarketingContactRequest? addMarketingContactRequest = null)



Add New Contact. {{ACL: Marketing - Contact Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class AddMarketingContactExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var addMarketingContactRequest = new AddMarketingContactRequest?(); // AddMarketingContactRequest? |  (optional) 

            try
            {
                AddMarketingContact200Response result = apiInstance.AddMarketingContact(accountId, cookie, addMarketingContactRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.AddMarketingContact: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the AddMarketingContactWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<AddMarketingContact200Response> response = apiInstance.AddMarketingContactWithHttpInfo(accountId, cookie, addMarketingContactRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.AddMarketingContactWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **addMarketingContactRequest** | [**AddMarketingContactRequest?**](AddMarketingContactRequest?.md) |  | [optional]  |

### Return type

[**AddMarketingContact200Response**](AddMarketingContact200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="addmarketingcontacts"></a>
# **AddMarketingContacts**
> UpdateUser200Response AddMarketingContacts (string accountId, string? cookie = null, AddMarketingContactsRequest? addMarketingContactsRequest = null)



Add New Contacts. {{ACL: Marketing - Contact Management}}  This is a bulk wrapper around addContact.  You specify multiple contacts in the contacts list element.  The response contains a list of API response call results for each API add request.  Use of addContacts is the same as calling addContact multiple times; however, it is somewhat more efficient.

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class AddMarketingContactsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var addMarketingContactsRequest = new AddMarketingContactsRequest?(); // AddMarketingContactsRequest? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.AddMarketingContacts(accountId, cookie, addMarketingContactsRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.AddMarketingContacts: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the AddMarketingContactsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.AddMarketingContactsWithHttpInfo(accountId, cookie, addMarketingContactsRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.AddMarketingContactsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **addMarketingContactsRequest** | [**AddMarketingContactsRequest?**](AddMarketingContactsRequest?.md) |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="addmarketinglist"></a>
# **AddMarketingList**
> AddMarketingList200Response AddMarketingList (string accountId, string? cookie = null, AddMarketingListRequest? addMarketingListRequest = null)



Add New Contact List. {{ACL: Marketing - List Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class AddMarketingListExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var addMarketingListRequest = new AddMarketingListRequest?(); // AddMarketingListRequest? |  (optional) 

            try
            {
                AddMarketingList200Response result = apiInstance.AddMarketingList(accountId, cookie, addMarketingListRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.AddMarketingList: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the AddMarketingListWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<AddMarketingList200Response> response = apiInstance.AddMarketingListWithHttpInfo(accountId, cookie, addMarketingListRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.AddMarketingListWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **addMarketingListRequest** | [**AddMarketingListRequest?**](AddMarketingListRequest?.md) |  | [optional]  |

### Return type

[**AddMarketingList200Response**](AddMarketingList200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Includes ID and fields matching those sent in the request or which you would normally get from contact list queries. Ses the getLists. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="addnewmarketingsuppression"></a>
# **AddNewMarketingSuppression**
> AddNewMarketingSuppression200Response AddNewMarketingSuppression (string accountId, string? cookie = null, AddNewMarketingSuppressionRequest? addNewMarketingSuppressionRequest = null)



Add New Suppression. {{ACL: Marketing - Suppression}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class AddNewMarketingSuppressionExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var addNewMarketingSuppressionRequest = new AddNewMarketingSuppressionRequest?(); // AddNewMarketingSuppressionRequest? |  (optional) 

            try
            {
                AddNewMarketingSuppression200Response result = apiInstance.AddNewMarketingSuppression(accountId, cookie, addNewMarketingSuppressionRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.AddNewMarketingSuppression: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the AddNewMarketingSuppressionWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<AddNewMarketingSuppression200Response> response = apiInstance.AddNewMarketingSuppressionWithHttpInfo(accountId, cookie, addNewMarketingSuppressionRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.AddNewMarketingSuppressionWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **addNewMarketingSuppressionRequest** | [**AddNewMarketingSuppressionRequest?**](AddNewMarketingSuppressionRequest?.md) |  | [optional]  |

### Return type

[**AddNewMarketingSuppression200Response**](AddNewMarketingSuppression200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The response is an associative array |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletemarketingcampaign"></a>
# **DeleteMarketingCampaign**
> Authentication201Response DeleteMarketingCampaign (string accountId, int id, string? cookie = null)



Delete a Campaign. {{ACL: Marketing - Campaign Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteMarketingCampaignExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var id = 56;  // int | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.DeleteMarketingCampaign(accountId, id);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.DeleteMarketingCampaign: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteMarketingCampaignWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.DeleteMarketingCampaignWithHttpInfo(accountId, id);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.DeleteMarketingCampaignWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **id** | **int** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletemarketingcontactbyid"></a>
# **DeleteMarketingContactById**
> Authentication201Response DeleteMarketingContactById (string accountId, int id, string? cookie = null)



Delete Contact By ID. {{ACL: Marketing - Contact Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteMarketingContactByIdExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var id = 56;  // int | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.DeleteMarketingContactById(accountId, id);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.DeleteMarketingContactById: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteMarketingContactByIdWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.DeleteMarketingContactByIdWithHttpInfo(accountId, id);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.DeleteMarketingContactByIdWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **id** | **int** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | \&quot;\&quot; |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletemarketinglist"></a>
# **DeleteMarketingList**
> Authentication201Response DeleteMarketingList (string accountId, string id, string? cookie = null)



Note: deleting a contact list will delete any contacts in that list. {{ACL: Marketing - List Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteMarketingListExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var id = "id_example";  // string | List Id.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.DeleteMarketingList(accountId, id);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.DeleteMarketingList: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteMarketingListWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.DeleteMarketingListWithHttpInfo(accountId, id);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.DeleteMarketingListWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **id** | **string** | List Id. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletemarketinglistgroup"></a>
# **DeleteMarketingListGroup**
> Authentication201Response DeleteMarketingListGroup (string accountId, string id, string? cookie = null)



Note: deleting a contact list group will NOT delete any contact lists in that group; they will merely become unassociated with any group. {{ACL: Marketing - List Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteMarketingListGroupExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var id = "id_example";  // string | List group Id.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.DeleteMarketingListGroup(accountId, id);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.DeleteMarketingListGroup: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteMarketingListGroupWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.DeleteMarketingListGroupWithHttpInfo(accountId, id);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.DeleteMarketingListGroupWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **id** | **string** | List group Id. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletemarketingsuppression"></a>
# **DeleteMarketingSuppression**
> Authentication201Response DeleteMarketingSuppression (string accountId, string type, int? id = null, string? reference = null, string? cookie = null)



Delete Suppression. {{ACL: Marketing - Suppression}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteMarketingSuppressionExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var type = "email";  // string | email, domain, ip Select type of suppression
            var id = 56;  // int? | id of the suppressed entry (optional) 
            var reference = "reference_example";  // string? | Select suppressed records according to this reference you want to delete (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.DeleteMarketingSuppression(accountId, type, id, reference);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.DeleteMarketingSuppression: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteMarketingSuppressionWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.DeleteMarketingSuppressionWithHttpInfo(accountId, type, id, reference);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.DeleteMarketingSuppressionWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **type** | **string** | email, domain, ip Select type of suppression |  |
| **id** | **int?** | id of the suppressed entry | [optional]  |
| **reference** | **string?** | Select suppressed records according to this reference you want to delete | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getmarketingcampaignbouncedstatistics"></a>
# **GetMarketingCampaignBouncedStatistics**
> GetMarketingCampaignBouncedStatistics200Response GetMarketingCampaignBouncedStatistics (string accountId, int scheduleId, int? limitStart = null, int? limitCount = null, string? cookie = null)



Get Campaign bounced statistics.  {{ACL: Marketing - Statistics}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetMarketingCampaignBouncedStatisticsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var scheduleId = 56;  // int | Schedule id of schedule to get bounced stats
            var limitStart = 0;  // int? | Starting row of result. Default: 0 (optional)  (default to 0)
            var limitCount = 25;  // int? | Number of records to get. Default: 25 (optional)  (default to 25)
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetMarketingCampaignBouncedStatistics200Response result = apiInstance.GetMarketingCampaignBouncedStatistics(accountId, scheduleId, limitStart, limitCount);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.GetMarketingCampaignBouncedStatistics: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetMarketingCampaignBouncedStatisticsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingCampaignBouncedStatistics200Response> response = apiInstance.GetMarketingCampaignBouncedStatisticsWithHttpInfo(accountId, scheduleId, limitStart, limitCount);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.GetMarketingCampaignBouncedStatisticsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **scheduleId** | **int** | Schedule id of schedule to get bounced stats |  |
| **limitStart** | **int?** | Starting row of result. Default: 0 | [optional] [default to 0] |
| **limitCount** | **int?** | Number of records to get. Default: 25 | [optional] [default to 25] |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetMarketingCampaignBouncedStatistics200Response**](GetMarketingCampaignBouncedStatistics200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getmarketingcampaignclickedstatistics"></a>
# **GetMarketingCampaignClickedStatistics**
> GetMarketingCampaignBouncedStatistics200Response GetMarketingCampaignClickedStatistics (string accountId, int scheduleId, int? limitStart = null, int? limitCount = null, string? cookie = null)



Get Campaign email link clicked statistics.  {{ACL: Marketing - Statistics}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetMarketingCampaignClickedStatisticsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var scheduleId = 56;  // int | Schedule id of schedule to get clicked stats
            var limitStart = 0;  // int? | Starting row of result. Default: 0 (optional)  (default to 0)
            var limitCount = 25;  // int? | Number of records to get. Default: 25 (optional)  (default to 25)
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetMarketingCampaignBouncedStatistics200Response result = apiInstance.GetMarketingCampaignClickedStatistics(accountId, scheduleId, limitStart, limitCount);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.GetMarketingCampaignClickedStatistics: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetMarketingCampaignClickedStatisticsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingCampaignBouncedStatistics200Response> response = apiInstance.GetMarketingCampaignClickedStatisticsWithHttpInfo(accountId, scheduleId, limitStart, limitCount);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.GetMarketingCampaignClickedStatisticsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **scheduleId** | **int** | Schedule id of schedule to get clicked stats |  |
| **limitStart** | **int?** | Starting row of result. Default: 0 | [optional] [default to 0] |
| **limitCount** | **int?** | Number of records to get. Default: 25 | [optional] [default to 25] |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetMarketingCampaignBouncedStatistics200Response**](GetMarketingCampaignBouncedStatistics200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getmarketingcampaigngroups"></a>
# **GetMarketingCampaignGroups**
> GetMarketingCampaignBouncedStatistics200Response GetMarketingCampaignGroups (string accountId, int? id = null, int? userId = null, int? limitStart = null, int? limitCount = null)



Get Campaign Groups.  {{ACL: Marketing - Campaign Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetMarketingCampaignGroupsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var id = 56;  // int? | id of the campaign group to fetch details for. (optional) 
            var userId = 56;  // int? | Get campaign groups of a particular user. (optional) 
            var limitStart = 0;  // int? | Starting row of result. Default: 0 (optional)  (default to 0)
            var limitCount = 25;  // int? | Number of records to get. Default: 25 (optional)  (default to 25)

            try
            {
                GetMarketingCampaignBouncedStatistics200Response result = apiInstance.GetMarketingCampaignGroups(accountId, id, userId, limitStart, limitCount);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.GetMarketingCampaignGroups: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetMarketingCampaignGroupsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingCampaignBouncedStatistics200Response> response = apiInstance.GetMarketingCampaignGroupsWithHttpInfo(accountId, id, userId, limitStart, limitCount);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.GetMarketingCampaignGroupsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **id** | **int?** | id of the campaign group to fetch details for. | [optional]  |
| **userId** | **int?** | Get campaign groups of a particular user. | [optional]  |
| **limitStart** | **int?** | Starting row of result. Default: 0 | [optional] [default to 0] |
| **limitCount** | **int?** | Number of records to get. Default: 25 | [optional] [default to 25] |

### Return type

[**GetMarketingCampaignBouncedStatistics200Response**](GetMarketingCampaignBouncedStatistics200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getmarketingcampaignopenedstatistics"></a>
# **GetMarketingCampaignOpenedStatistics**
> GetMarketingCampaignBouncedStatistics200Response GetMarketingCampaignOpenedStatistics (string accountId, int scheduleId, int? limitStart = null, int? limitCount = null, string? cookie = null)



Get Campaign email opened statistics.  {{ACL: Marketing - Statistics}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetMarketingCampaignOpenedStatisticsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var scheduleId = 56;  // int | Schedule id of schedule to get open stats
            var limitStart = 0;  // int? | Starting row of result. Default: 0 (optional)  (default to 0)
            var limitCount = 25;  // int? | Number of records to get. Default: 25 (optional)  (default to 25)
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetMarketingCampaignBouncedStatistics200Response result = apiInstance.GetMarketingCampaignOpenedStatistics(accountId, scheduleId, limitStart, limitCount);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.GetMarketingCampaignOpenedStatistics: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetMarketingCampaignOpenedStatisticsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingCampaignBouncedStatistics200Response> response = apiInstance.GetMarketingCampaignOpenedStatisticsWithHttpInfo(accountId, scheduleId, limitStart, limitCount);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.GetMarketingCampaignOpenedStatisticsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **scheduleId** | **int** | Schedule id of schedule to get open stats |  |
| **limitStart** | **int?** | Starting row of result. Default: 0 | [optional] [default to 0] |
| **limitCount** | **int?** | Number of records to get. Default: 25 | [optional] [default to 25] |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetMarketingCampaignBouncedStatistics200Response**](GetMarketingCampaignBouncedStatistics200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getmarketingcampaignstatisticssummary"></a>
# **GetMarketingCampaignStatisticsSummary**
> UpdateUser200Response GetMarketingCampaignStatisticsSummary (string accountId, string scheduleId, string? cookie = null)



Get Campaign statistics summary. {{ACL: Marketing - Statistics}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetMarketingCampaignStatisticsSummaryExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var scheduleId = "scheduleId_example";  // string | Schedule id of schedule to get its statatistics summary.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.GetMarketingCampaignStatisticsSummary(accountId, scheduleId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.GetMarketingCampaignStatisticsSummary: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetMarketingCampaignStatisticsSummaryWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.GetMarketingCampaignStatisticsSummaryWithHttpInfo(accountId, scheduleId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.GetMarketingCampaignStatisticsSummaryWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **scheduleId** | **string** | Schedule id of schedule to get its statatistics summary. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getmarketingcampaignunsubscribedstatistics"></a>
# **GetMarketingCampaignUnsubscribedStatistics**
> GetMarketingCampaignBouncedStatistics200Response GetMarketingCampaignUnsubscribedStatistics (string accountId, int scheduleId, int? limitStart = null, int? limitCount = null, string? cookie = null)



Get Campaign email unsubscribed statistics.  {{ACL: Marketing - Statistics}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetMarketingCampaignUnsubscribedStatisticsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var scheduleId = 56;  // int | Schedule id of schedule to get unsubscribe stats
            var limitStart = 0;  // int? | Starting row of result. Default: 0 (optional)  (default to 0)
            var limitCount = 25;  // int? | Number of records to get. Default: 25 (optional)  (default to 25)
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetMarketingCampaignBouncedStatistics200Response result = apiInstance.GetMarketingCampaignUnsubscribedStatistics(accountId, scheduleId, limitStart, limitCount);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.GetMarketingCampaignUnsubscribedStatistics: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetMarketingCampaignUnsubscribedStatisticsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingCampaignBouncedStatistics200Response> response = apiInstance.GetMarketingCampaignUnsubscribedStatisticsWithHttpInfo(accountId, scheduleId, limitStart, limitCount);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.GetMarketingCampaignUnsubscribedStatisticsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **scheduleId** | **int** | Schedule id of schedule to get unsubscribe stats |  |
| **limitStart** | **int?** | Starting row of result. Default: 0 | [optional] [default to 0] |
| **limitCount** | **int?** | Number of records to get. Default: 25 | [optional] [default to 25] |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetMarketingCampaignBouncedStatistics200Response**](GetMarketingCampaignBouncedStatistics200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getmarketingcampaigns"></a>
# **GetMarketingCampaigns**
> GetMarketingCampaigns200Response GetMarketingCampaigns (string accountId, int id, int groupId, int limitStart, int limitCount, string? cookie = null)



This call allows you to retrieve details on your campaigns. {{ACL: Marketing - Campaign Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetMarketingCampaignsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var id = 56;  // int | Use if you want to restrict details to specific Campaign id. If left blank, all your campaigns’ details will be returned.
            var groupId = 56;  // int | Group id of the campaigns you want to get.
            var limitStart = 0;  // int | Starting row of result. Default: 0 (default to 0)
            var limitCount = 25;  // int | Number of records to get. Default: 25 (default to 25)
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetMarketingCampaigns200Response result = apiInstance.GetMarketingCampaigns(accountId, id, groupId, limitStart, limitCount);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.GetMarketingCampaigns: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetMarketingCampaignsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingCampaigns200Response> response = apiInstance.GetMarketingCampaignsWithHttpInfo(accountId, id, groupId, limitStart, limitCount);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.GetMarketingCampaignsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **id** | **int** | Use if you want to restrict details to specific Campaign id. If left blank, all your campaigns’ details will be returned. |  |
| **groupId** | **int** | Group id of the campaigns you want to get. |  |
| **limitStart** | **int** | Starting row of result. Default: 0 | [default to 0] |
| **limitCount** | **int** | Number of records to get. Default: 25 | [default to 25] |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetMarketingCampaigns200Response**](GetMarketingCampaigns200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The response is an array of associated arrays |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getmarketingcontactbyid"></a>
# **GetMarketingContactById**
> GetMarketingContactById200Response GetMarketingContactById (string accountId, int id, int? fullDetails = null, string? cookie = null)



This function allows you to get the details for specific contact using his/her contact ID. {{ACL: Marketing - Contact Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetMarketingContactByIdExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var id = 56;  // int | 
            var fullDetails = 56;  // int? | If specified and set to 1, add contact details will be returned, including the values of all additional fields. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetMarketingContactById200Response result = apiInstance.GetMarketingContactById(accountId, id, fullDetails);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.GetMarketingContactById: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetMarketingContactByIdWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingContactById200Response> response = apiInstance.GetMarketingContactByIdWithHttpInfo(accountId, id, fullDetails);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.GetMarketingContactByIdWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **id** | **int** |  |  |
| **fullDetails** | **int?** | If specified and set to 1, add contact details will be returned, including the values of all additional fields. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetMarketingContactById200Response**](GetMarketingContactById200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getmarketingcontacts"></a>
# **GetMarketingContacts**
> GetMarketingContacts200Response GetMarketingContacts (string accountId, int listId, int limitStart, int limitCount, int? fullDetails = null, string? cookie = null)



This call permits you to get your contacts’ data from the system by specific list or in aggregate. None of the request body parameters are required, and if you leave them blank, the call will return all contacts’ data from all your lists. {{ACL: Marketing - Contact Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetMarketingContactsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var listId = 56;  // int | Contact list id for the contacts you want to get.
            var limitStart = 0;  // int | Starting row of result. Default: 0 (default to 0)
            var limitCount = 25;  // int | Number of records to get. Default: 25 (default to 25)
            var fullDetails = 56;  // int? | If specified and set to 1, add contact details will be returned, including the values of all additional fields. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetMarketingContacts200Response result = apiInstance.GetMarketingContacts(accountId, listId, limitStart, limitCount, fullDetails);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.GetMarketingContacts: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetMarketingContactsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingContacts200Response> response = apiInstance.GetMarketingContactsWithHttpInfo(accountId, listId, limitStart, limitCount, fullDetails);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.GetMarketingContactsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **listId** | **int** | Contact list id for the contacts you want to get. |  |
| **limitStart** | **int** | Starting row of result. Default: 0 | [default to 0] |
| **limitCount** | **int** | Number of records to get. Default: 25 | [default to 25] |
| **fullDetails** | **int?** | If specified and set to 1, add contact details will be returned, including the values of all additional fields. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetMarketingContacts200Response**](GetMarketingContacts200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getmarketinglistgroups"></a>
# **GetMarketingListGroups**
> GetMarketingCampaignBouncedStatistics200Response GetMarketingListGroups (string accountId, int? id = null, int? userId = null, int? limitStart = null, int? limitCount = null)



Get Campaign List Groups.  {{ACL: Marketing - Campaign Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetMarketingListGroupsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var id = 56;  // int? | id of the List Group to fetch details for. (optional) 
            var userId = 56;  // int? | Get list groups of a particular user. (optional) 
            var limitStart = 0;  // int? | Starting row of result. Default: 0 (optional)  (default to 0)
            var limitCount = 25;  // int? | Number of records to get. Default: 25 (optional)  (default to 25)

            try
            {
                GetMarketingCampaignBouncedStatistics200Response result = apiInstance.GetMarketingListGroups(accountId, id, userId, limitStart, limitCount);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.GetMarketingListGroups: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetMarketingListGroupsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingCampaignBouncedStatistics200Response> response = apiInstance.GetMarketingListGroupsWithHttpInfo(accountId, id, userId, limitStart, limitCount);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.GetMarketingListGroupsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **id** | **int?** | id of the List Group to fetch details for. | [optional]  |
| **userId** | **int?** | Get list groups of a particular user. | [optional]  |
| **limitStart** | **int?** | Starting row of result. Default: 0 | [optional] [default to 0] |
| **limitCount** | **int?** | Number of records to get. Default: 25 | [optional] [default to 25] |

### Return type

[**GetMarketingCampaignBouncedStatistics200Response**](GetMarketingCampaignBouncedStatistics200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getmarketinglists"></a>
# **GetMarketingLists**
> GetMarketingLists200Response GetMarketingLists (string accountId, int? listId = null, int? groupId = null, string? cookie = null)



Return details about one or more specific Contact List(s). If you omit all parameters, all lists should be returned. {{ACL: Marketing - List Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetMarketingListsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var listId = 56;  // int? | List id for the specific contact list you want details for. (optional) 
            var groupId = 56;  // int? | Group id for all getting lists in a specific group (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetMarketingLists200Response result = apiInstance.GetMarketingLists(accountId, listId, groupId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.GetMarketingLists: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetMarketingListsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingLists200Response> response = apiInstance.GetMarketingListsWithHttpInfo(accountId, listId, groupId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.GetMarketingListsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **listId** | **int?** | List id for the specific contact list you want details for. | [optional]  |
| **groupId** | **int?** | Group id for all getting lists in a specific group | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetMarketingLists200Response**](GetMarketingLists200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return a list of associated arrays each containing standard list details. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getmarketingscheduledcampaigns"></a>
# **GetMarketingScheduledCampaigns**
> GetMarketingCampaignBouncedStatistics200Response GetMarketingScheduledCampaigns (string accountId, int? id = null, int? userId = null, int? limitStart = null, int? limitCount = null, int? tStart = null, int? tEnd = null)



Get Scheduled Campaigns.  {{ACL: Marketing - Campaign Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetMarketingScheduledCampaignsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var id = 56;  // int? | id of the campaign to fetch details for. (optional) 
            var userId = 56;  // int? | Get campaigns of a particular user. (optional) 
            var limitStart = 25;  // int? | Number of records to get. Default: 25. (optional)  (default to 25)
            var limitCount = 25;  // int? | Number of records to get. Default: 25. (optional)  (default to 25)
            var tStart = 56;  // int? | The start time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) (optional) 
            var tEnd = 56;  // int? | The end time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) (optional) 

            try
            {
                GetMarketingCampaignBouncedStatistics200Response result = apiInstance.GetMarketingScheduledCampaigns(accountId, id, userId, limitStart, limitCount, tStart, tEnd);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.GetMarketingScheduledCampaigns: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetMarketingScheduledCampaignsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingCampaignBouncedStatistics200Response> response = apiInstance.GetMarketingScheduledCampaignsWithHttpInfo(accountId, id, userId, limitStart, limitCount, tStart, tEnd);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.GetMarketingScheduledCampaignsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **id** | **int?** | id of the campaign to fetch details for. | [optional]  |
| **userId** | **int?** | Get campaigns of a particular user. | [optional]  |
| **limitStart** | **int?** | Number of records to get. Default: 25. | [optional] [default to 25] |
| **limitCount** | **int?** | Number of records to get. Default: 25. | [optional] [default to 25] |
| **tStart** | **int?** | The start time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) | [optional]  |
| **tEnd** | **int?** | The end time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) | [optional]  |

### Return type

[**GetMarketingCampaignBouncedStatistics200Response**](GetMarketingCampaignBouncedStatistics200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getmarketingsuppressions"></a>
# **GetMarketingSuppressions**
> GetMarketingSuppressions200Response GetMarketingSuppressions (string accountId, string type, int? id = null, string? reference = null, int? limitStart = null, int? limitCount = null, string? cookie = null)



Get Suppressions. {{ACL: Marketing - Suppression}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetMarketingSuppressionsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var type = "email";  // string | email, domain, ip Select type of suppression list you want to get
            var id = 56;  // int? | id of the suppressed entry (optional) 
            var reference = "reference_example";  // string? | Get suppressed records according to this reference (optional) 
            var limitStart = 0;  // int? | Starting row of result. Default: 0 (optional)  (default to 0)
            var limitCount = 25;  // int? | Number of records to get. Default: 25 (optional)  (default to 25)
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetMarketingSuppressions200Response result = apiInstance.GetMarketingSuppressions(accountId, type, id, reference, limitStart, limitCount);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.GetMarketingSuppressions: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetMarketingSuppressionsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingSuppressions200Response> response = apiInstance.GetMarketingSuppressionsWithHttpInfo(accountId, type, id, reference, limitStart, limitCount);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.GetMarketingSuppressionsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **type** | **string** | email, domain, ip Select type of suppression list you want to get |  |
| **id** | **int?** | id of the suppressed entry | [optional]  |
| **reference** | **string?** | Get suppressed records according to this reference | [optional]  |
| **limitStart** | **int?** | Starting row of result. Default: 0 | [optional] [default to 0] |
| **limitCount** | **int?** | Number of records to get. Default: 25 | [optional] [default to 25] |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetMarketingSuppressions200Response**](GetMarketingSuppressions200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The response is an array of associative arrays.  |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="markcontactasunsubscribed"></a>
# **MarkContactAsUnsubscribed**
> Authentication201Response MarkContactAsUnsubscribed (string accountId, string id, string? cookie = null)



Changes a contact’s status to “unsubscribed.” This is more efficient than calling updateContact to make this change. {{ACL: Marketing - Contact Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class MarkContactAsUnsubscribedExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var id = "id_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.MarkContactAsUnsubscribed(accountId, id);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.MarkContactAsUnsubscribed: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the MarkContactAsUnsubscribedWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.MarkContactAsUnsubscribedWithHttpInfo(accountId, id);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.MarkContactAsUnsubscribedWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **id** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="schedulemarketingcampaign"></a>
# **ScheduleMarketingCampaign**
> UpdateUser200Response ScheduleMarketingCampaign (string accountId, string? cookie = null, ScheduleMarketingCampaignRequest? scheduleMarketingCampaignRequest = null)



Schedule Campaign. {{ACL: Marketing - Scheduling}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class ScheduleMarketingCampaignExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var scheduleMarketingCampaignRequest = new ScheduleMarketingCampaignRequest?(); // ScheduleMarketingCampaignRequest? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.ScheduleMarketingCampaign(accountId, cookie, scheduleMarketingCampaignRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.ScheduleMarketingCampaign: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the ScheduleMarketingCampaignWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.ScheduleMarketingCampaignWithHttpInfo(accountId, cookie, scheduleMarketingCampaignRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.ScheduleMarketingCampaignWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **scheduleMarketingCampaignRequest** | [**ScheduleMarketingCampaignRequest?**](ScheduleMarketingCampaignRequest?.md) |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="updatemarketingcampaign"></a>
# **UpdateMarketingCampaign**
> GetMarketingCampaigns200Response UpdateMarketingCampaign (string accountId, string id, string? cookie = null, UpdateMarketingCampaignRequest? updateMarketingCampaignRequest = null)



Update a Campaign. {{ACL: Marketing - Campaign Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class UpdateMarketingCampaignExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var id = "id_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var updateMarketingCampaignRequest = new UpdateMarketingCampaignRequest?(); // UpdateMarketingCampaignRequest? |  (optional) 

            try
            {
                GetMarketingCampaigns200Response result = apiInstance.UpdateMarketingCampaign(accountId, id, cookie, updateMarketingCampaignRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.UpdateMarketingCampaign: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the UpdateMarketingCampaignWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetMarketingCampaigns200Response> response = apiInstance.UpdateMarketingCampaignWithHttpInfo(accountId, id, cookie, updateMarketingCampaignRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.UpdateMarketingCampaignWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **id** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **updateMarketingCampaignRequest** | [**UpdateMarketingCampaignRequest?**](UpdateMarketingCampaignRequest?.md) |  | [optional]  |

### Return type

[**GetMarketingCampaigns200Response**](GetMarketingCampaigns200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="updatemarketingcontactbyemail"></a>
# **UpdateMarketingContactByEmail**
> AddMarketingContact200Response UpdateMarketingContactByEmail (string accountId, string email, string? cookie = null, UpdateMarketingContactByEmailRequest? updateMarketingContactByEmailRequest = null)



Update the details, including custom field values, of contacts with the specified email address. {{ACL: Marketing - Contact Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class UpdateMarketingContactByEmailExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var email = "email_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var updateMarketingContactByEmailRequest = new UpdateMarketingContactByEmailRequest?(); // UpdateMarketingContactByEmailRequest? |  (optional) 

            try
            {
                AddMarketingContact200Response result = apiInstance.UpdateMarketingContactByEmail(accountId, email, cookie, updateMarketingContactByEmailRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.UpdateMarketingContactByEmail: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the UpdateMarketingContactByEmailWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<AddMarketingContact200Response> response = apiInstance.UpdateMarketingContactByEmailWithHttpInfo(accountId, email, cookie, updateMarketingContactByEmailRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.UpdateMarketingContactByEmailWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **email** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **updateMarketingContactByEmailRequest** | [**UpdateMarketingContactByEmailRequest?**](UpdateMarketingContactByEmailRequest?.md) |  | [optional]  |

### Return type

[**AddMarketingContact200Response**](AddMarketingContact200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="updatemarketingcontactbyid"></a>
# **UpdateMarketingContactById**
> AddMarketingContact200Response UpdateMarketingContactById (string accountId, string id, string? cookie = null, UpdateContactRequestBody? updateContactRequestBody = null)



Update the details, including custom field values, of a contact, using their contact ID. {{ACL: Marketing - Contact Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class UpdateMarketingContactByIdExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var id = "id_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var updateContactRequestBody = new UpdateContactRequestBody?(); // UpdateContactRequestBody? |  (optional) 

            try
            {
                AddMarketingContact200Response result = apiInstance.UpdateMarketingContactById(accountId, id, cookie, updateContactRequestBody);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.UpdateMarketingContactById: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the UpdateMarketingContactByIdWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<AddMarketingContact200Response> response = apiInstance.UpdateMarketingContactByIdWithHttpInfo(accountId, id, cookie, updateContactRequestBody);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.UpdateMarketingContactByIdWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **id** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **updateContactRequestBody** | [**UpdateContactRequestBody?**](UpdateContactRequestBody?.md) |  | [optional]  |

### Return type

[**AddMarketingContact200Response**](AddMarketingContact200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="updatemarketinglist"></a>
# **UpdateMarketingList**
> AddMarketingList200Response UpdateMarketingList (string accountId, string id, string? cookie = null, UpdateMarketingListRequest? updateMarketingListRequest = null)



Update information for existing Contact Lists such as From Name or From Address. This can also be used to assign custom fields to specific lists, but the custom field must exist in the platform in advance. Return contact information and other general metadata for the user. {{ACL: Marketing - List Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class UpdateMarketingListExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new MarketingApi(config);
            var accountId = "accountId_example";  // string | 
            var id = "id_example";  // string | List Id.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var updateMarketingListRequest = new UpdateMarketingListRequest?(); // UpdateMarketingListRequest? |  (optional) 

            try
            {
                AddMarketingList200Response result = apiInstance.UpdateMarketingList(accountId, id, cookie, updateMarketingListRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling MarketingApi.UpdateMarketingList: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the UpdateMarketingListWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<AddMarketingList200Response> response = apiInstance.UpdateMarketingListWithHttpInfo(accountId, id, cookie, updateMarketingListRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling MarketingApi.UpdateMarketingListWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **id** | **string** | List Id. |  |
| **cookie** | **string?** |  | [optional]  |
| **updateMarketingListRequest** | [**UpdateMarketingListRequest?**](UpdateMarketingListRequest?.md) |  | [optional]  |

### Return type

[**AddMarketingList200Response**](AddMarketingList200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Includes ID and fields matching those sent in the request or which you would normally get from contact list queries. Ses the getLists. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

